#ifndef __BRAIN_ACTION_EDITOR_WINDOW
#define __BRAIN_ACTION_EDITOR_WINDOW


class BActionEditorWnd : public BActiveWindow {
public:
	/* Level: 0 object, 1 room, 2 map, 3 game, 4 interface, 5 application */ 
	BActionEditorWnd(int x,int y,int dx,int dy,ActionSCRIPT **as,ConditionSCRIPT **cs,ValueSCRIPT **vs,EDITOR *editor,int level,TTF_Font *font);
	~BActionEditorWnd();

	virtual bool cycle(int stx,int sty);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);
	virtual bool button_pressed(int ID);

	ActionSCRIPT *a_script,**a_output_script;
	ConditionSCRIPT *c_script,**c_output_script;
	ValueSCRIPT *v_script,**v_output_script;

	BViewActionScriptWnd *vsw;
};

#endif

